Help get this topic noticed by sharing it on Twitter, Facebook, or email.
I’m sad

The Point's new Browser Skin

i tried to install the "official point browser skin" but it will not work. it says it is not compatible with the newest version of Firefox. what can i do?
1 person has
this question
+1
Reply